"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
var http_1 = require("@angular/common/http");
var primeng_1 = require("primeng/primeng");
var primeng_2 = require("primeng/primeng");
var focus_register_directive_1 = require("./directive/focus-register.directive");
var bit_dialog_component_1 = require("./component/bit-dialog.component");
var bit_notification_component_1 = require("./component/bit-notification.component");
var bit_notification_front_component_1 = require("./component/bit-notification-front.component");
var bit_control_messages_component_1 = require("./component/bit-control-messages.component");
var bit_input_component_1 = require("./component/bit-input.component");
var bit_editor_component_1 = require("./component/bit-editor.component");
var bit_select_component_1 = require("./component/bit-select.component");
var bit_select_multiple_component_1 = require("./component/bit-select-multiple.component");
var bit_domain_value_component_1 = require("./component/bit-domain-value.component");
var bit_column_boolean_component_1 = require("./component/bit-column-boolean.component");
var bit_footer_component_1 = require("./component/bit-footer.component");
var capitalize_pipe_1 = require("./pipe/capitalize.pipe");
var other_actions_pipe_1 = require("./pipe/other-actions.pipe");
var bit_header_component_1 = require("./component/bit-header.component");
var bit_toolbar_component_1 = require("./component/bit-toolbar.component");
var bit_breadcrumb_component_1 = require("./component/bit-breadcrumb.component");
var bit_loading_component_1 = require("./component/bit-loading.component");
var bit_form_upload_component_1 = require("./component/bit-form-upload.component");
var bit_help_component_1 = require("./component/bit-help.component");
var bit_upload_component_1 = require("./component/bit-upload.component");
var bit_user_controls_component_1 = require("./component/bit-user-controls.component");
var bit_boton_ayuda_component_1 = require("./component/bit-boton-ayuda.component");
var remove_line_breaks_pipe_1 = require("./pipe/remove-line-breaks.pipe");
var pipe_cantidadmoneda_pipe_1 = require("./pipe/pipe-cantidadmoneda.pipe");
var SharedModule = (function () {
    function SharedModule() {
    }
    SharedModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.ReactiveFormsModule,
                        forms_1.FormsModule,
                        http_1.HttpClientModule,
                        primeng_2.CalendarModule,
                        primeng_2.DropdownModule,
                        primeng_2.EditorModule,
                        primeng_2.MultiSelectModule,
                        primeng_2.PaginatorModule,
                        primeng_2.CheckboxModule,
                        primeng_2.RadioButtonModule,
                        primeng_2.DataTableModule,
                        primeng_2.TabViewModule,
                        primeng_2.DialogModule,
                        primeng_2.MenuModule,
                        primeng_2.MegaMenuModule,
                        primeng_2.GrowlModule,
                        primeng_1.SharedModule,
                        primeng_2.AccordionModule,
                        primeng_2.AutoCompleteModule,
                        primeng_2.InputSwitchModule,
                        primeng_2.TooltipModule,
                        primeng_2.OverlayPanelModule,
                        primeng_2.MessagesModule
                    ],
                    declarations: [
                        focus_register_directive_1.FocusRegisterDirective,
                        bit_dialog_component_1.BitDialogComponent,
                        bit_notification_component_1.BitNotificationComponent,
                        bit_notification_front_component_1.BitNotificationFrontComponent,
                        bit_control_messages_component_1.BitControlMessages,
                        bit_boton_ayuda_component_1.BitBotonAyudaComponent,
                        bit_input_component_1.BitInputComponent,
                        bit_editor_component_1.BitEditorComponent,
                        bit_select_component_1.BitSelectComponent,
                        bit_select_multiple_component_1.BitSelectMultipleComponent,
                        bit_domain_value_component_1.BitDomainValueComponent,
                        bit_column_boolean_component_1.BitColumnBooleanComponent,
                        bit_footer_component_1.BitFooterComponent,
                        capitalize_pipe_1.CapitalizePipe,
                        other_actions_pipe_1.OtherToolbarActionPipe,
                        remove_line_breaks_pipe_1.RemoveLineBreaksPipe,
                        pipe_cantidadmoneda_pipe_1.PipeCantidadMoneda,
                        bit_header_component_1.BitHeaderComponent,
                        bit_toolbar_component_1.BitToolbarComponent,
                        bit_breadcrumb_component_1.BitBreadCrumbComponent,
                        bit_loading_component_1.BitLoadingComponent,
                        bit_upload_component_1.BitUploadComponent,
                        bit_form_upload_component_1.BitFormUploadComponent,
                        bit_help_component_1.BitHelpComponent,
                        bit_user_controls_component_1.BitUserControlsComponent
                    ],
                    exports: [
                        focus_register_directive_1.FocusRegisterDirective,
                        common_1.CommonModule,
                        forms_1.ReactiveFormsModule,
                        forms_1.FormsModule,
                        http_1.HttpClientModule,
                        bit_dialog_component_1.BitDialogComponent,
                        bit_notification_component_1.BitNotificationComponent,
                        bit_notification_front_component_1.BitNotificationFrontComponent,
                        bit_control_messages_component_1.BitControlMessages,
                        bit_boton_ayuda_component_1.BitBotonAyudaComponent,
                        bit_input_component_1.BitInputComponent,
                        bit_editor_component_1.BitEditorComponent,
                        bit_select_component_1.BitSelectComponent,
                        bit_select_multiple_component_1.BitSelectMultipleComponent,
                        bit_domain_value_component_1.BitDomainValueComponent,
                        bit_column_boolean_component_1.BitColumnBooleanComponent,
                        bit_footer_component_1.BitFooterComponent,
                        capitalize_pipe_1.CapitalizePipe,
                        other_actions_pipe_1.OtherToolbarActionPipe,
                        remove_line_breaks_pipe_1.RemoveLineBreaksPipe,
                        pipe_cantidadmoneda_pipe_1.PipeCantidadMoneda,
                        bit_header_component_1.BitHeaderComponent,
                        bit_toolbar_component_1.BitToolbarComponent,
                        bit_breadcrumb_component_1.BitBreadCrumbComponent,
                        bit_loading_component_1.BitLoadingComponent,
                        bit_upload_component_1.BitUploadComponent,
                        bit_form_upload_component_1.BitFormUploadComponent,
                        bit_help_component_1.BitHelpComponent,
                        primeng_2.CalendarModule,
                        primeng_2.DropdownModule,
                        primeng_2.EditorModule,
                        primeng_2.MultiSelectModule,
                        primeng_2.PaginatorModule,
                        primeng_2.CheckboxModule,
                        primeng_2.RadioButtonModule,
                        primeng_2.DataTableModule,
                        primeng_2.TabViewModule,
                        primeng_2.DialogModule,
                        primeng_1.SharedModule,
                        primeng_2.AccordionModule,
                        primeng_2.AutoCompleteModule,
                        primeng_2.InputSwitchModule,
                        primeng_2.TooltipModule,
                        primeng_2.OverlayPanelModule,
                        primeng_2.MessagesModule,
                        primeng_2.MenuModule,
                        primeng_2.MegaMenuModule,
                        primeng_2.GrowlModule,
                        bit_user_controls_component_1.BitUserControlsComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    SharedModule.ctorParameters = function () { return []; };
    return SharedModule;
}());
exports.SharedModule = SharedModule;
//# sourceMappingURL=shared.module.js.map